Validate grader
client.fineTuning.alpha.graders.validate(GraderValidateParams { grader } body , RequestOptionsoptions ?): GraderValidateResponse { grader }
POST
/fine_tuning/alpha/graders/validateValidate grader
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const response = await client.fineTuning.alpha.graders.validate({
grader: {
input: 'input',
name: 'name',
operation: 'eq',
reference: 'reference',
type: 'string_check',
},
});
console.log(response.grader);{
"grader": {
"type": "string_check",
"name": "Example string check grader",
"input": "{{sample.output_text}}",
"reference": "{{item.label}}",
"operation": "eq"
}
}
Returns Examples
{
"grader": {
"type": "string_check",
"name": "Example string check grader",
"input": "{{sample.output_text}}",
"reference": "{{item.label}}",
"operation": "eq"
}
}